[android-components](../../../index.md) / [mozilla.components.support.migration](../../index.md) / [MigrationResult](../index.md) / [Success](./index.md)

# Success

`class Success<T> : `[`MigrationResult`](../index.md)`<`[`T`](index.md#T)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/migration/src/main/java/mozilla/components/support/migration/MigrationResult.kt#L16)

Successful migration.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Success(value: `[`T`](index.md#T)`)`<br>Successful migration. |

### Properties

| Name | Summary |
|---|---|
| [value](value.md) | `val value: `[`T`](index.md#T)<br>The result of the successful migration. |
